package h.com.serialportapi.comn.CardBeans;

import java.io.Serializable;

/**
 * Created by hxd on 2019/1/3.
 */

public class MifareClassicCard implements Serializable {

    private String TagType;
    private String SAK;
    private String UIDNumber;
    private String MemorySize;
    private String BlockSize;
    private String NumberOfBlocks;
    private String NumberOfSectors;
    private String APDU;
    private String CardUID;
    private String BlockAddr;
    private String KekType;
    private String Key;
    private String ReadBlock;
    private String WriteBLock;
    private String ReadAllBlock;
    private String E_Wallet;

    public String getTagType() {
        return TagType;
    }

    public void setTagType(String tagType) {
        TagType = tagType;
    }

    public String getSAK() {
        return SAK;
    }

    public void setSAK(String SAK) {
        this.SAK = SAK;
    }

    public String getUIDNumber() {
        return UIDNumber;
    }

    public void setUIDNumber(String UIDNumber) {
        this.UIDNumber = UIDNumber;
    }

    public String getMemorySize() {
        return MemorySize;
    }

    public void setMemorySize(String memorySize) {
        MemorySize = memorySize;
    }

    public String getBlockSize() {
        return BlockSize;
    }

    public void setBlockSize(String blockSize) {
        BlockSize = blockSize;
    }

    public String getNumberOfBlocks() {
        return NumberOfBlocks;
    }

    public void setNumberOfBlocks(String numberOfBlocks) {
        NumberOfBlocks = numberOfBlocks;
    }

    public String getNumberOfSectors() {
        return NumberOfSectors;
    }

    public void setNumberOfSectors(String numberOfSectors) {
        NumberOfSectors = numberOfSectors;
    }

    public String getAPDU() {
        return APDU;
    }

    public void setAPDU(String APDU) {
        this.APDU = APDU;
    }

    public String getCardUID() {
        return CardUID;
    }

    public void setCardUID(String cardUID) {
        CardUID = cardUID;
    }

    public String getBlockAddr() {
        return BlockAddr;
    }

    public void setBlockAddr(String blockAddr) {
        BlockAddr = blockAddr;
    }

    public String getKekType() {
        return KekType;
    }

    public void setKekType(String kekType) {
        KekType = kekType;
    }

    public String getKey() {
        return Key;
    }

    public void setKey(String key) {
        Key = key;
    }

    public String getReadBlock() {
        return ReadBlock;
    }

    public void setReadBlock(String readBlock) {
        ReadBlock = readBlock;
    }

    public String getWriteBLock() {
        return WriteBLock;
    }

    public void setWriteBLock(String writeBLock) {
        WriteBLock = writeBLock;
    }

    public String getReadAllBlock() {
        return ReadAllBlock;
    }

    public void setReadAllBlock(String readAllBlock) {
        ReadAllBlock = readAllBlock;
    }

    public String getE_Wallet() {
        return E_Wallet;
    }

    public void setE_Wallet(String e_Wallet) {
        E_Wallet = e_Wallet;
    }
}
